harald / rpms / dracut

Forked from rpms/dracut 5 years ago
Clone
Blob Blame History Raw
From f76db85f2b45b4297cc2907e3fd8325bd72c5b3d Mon Sep 17 00:00:00 2001
From: Jan Stodola <jstodola@redhat.com>
Date: Wed, 27 Feb 2013 16:33:32 +0100
Subject: [PATCH] url-lib.sh: fix curl globoff arg

---
 modules.d/45url-lib/url-lib.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules.d/45url-lib/url-lib.sh b/modules.d/45url-lib/url-lib.sh
index 3236c78..5edae5c 100755
--- a/modules.d/45url-lib/url-lib.sh
+++ b/modules.d/45url-lib/url-lib.sh
@@ -54,7 +54,7 @@ add_url_handler() {
 
 export CURL_HOME="/run/initramfs/url-lib"
 mkdir -p $CURL_HOME
-curl_args="--location --retry 3 --fail --show-error"
+curl_args="--globoff --location --retry 3 --fail --show-error"
 getargbool 0 rd.noverifyssl && curl_args+=" --insecure"
 
 proxy=$(getarg proxy=)
@@ -64,7 +64,7 @@ curl_fetch_url() {
     local url="$1" outloc="$2"
     echo "$url" > /proc/self/fd/0
     if [ -n "$outloc" ]; then
-        curl --globoff $curl_args --output "$outloc" "$url" || return $?
+        curl $curl_args --output "$outloc" "$url" || return $?
     else
         local outdir="$(mkuniqdir /tmp curl_fetch_url)"
         ( cd "$outdir"; curl $curl_args --remote-name "$url" || return $? )